package com.docus.server.dto.scheduling.management.schcollectorconfig;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 采集器配置 EditDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="EditSchCollectorConfigDTO对象", description="采集器配置")
public class EditSchCollectorConfigDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器id")
    private Long collectorId;

    @ApiModelProperty(value = "配置类型，0：采集器公共配置，1：采集器私有配置")
    private String configType;

    @ApiModelProperty(value = "配置参数")
    private String configJson;

    @ApiModelProperty(value = "产生时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;


}
