package com.docus.server.dto.scheduling.management.schterminator;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 执行管理器 AddDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="AddSchTerminatorDTO对象", description="执行管理器")
public class AddSchTerminatorDTO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "终端IP")
    private String terminatorIp;

    @ApiModelProperty(value = "资源管理器名称")
    private String terminatorName;

    @ApiModelProperty(value = "只干某些任务，任务偏好属性")
    private String onlyCollectorIds;

    @ApiModelProperty(value = "优先干某些任务，任务偏好属性（优先给哪个采集器，若不空闲再给任意采集器）")
    private String priorityCollectorIds;

    @ApiModelProperty(value = "是否限制采集器类型，0：否，1：是")
    private String restrictState;

    @ApiModelProperty(value = "忙闲状态，0：空闲，1：繁忙")
    private String busyState;

    @ApiModelProperty(value = "在线状态，0：离线，1：在线")
    private String onlineState;

    @ApiModelProperty(value = "最近任务执行时间")
    private LocalDateTime lastTaskExecTime;

    @ApiModelProperty(value = "正在执行任务的名称")
    private String executingTaskName;

    @ApiModelProperty(value = "最近一次任务执行失败原因")
    private String lastTaskErrorMsg;

    @ApiModelProperty(value = "入库时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    private LocalDateTime updateTime;


}
